# LAP::TabRow Struct Reference

`#include <CglLandPTabRow.hpp>`

Inheritance diagram for LAP::TabRow:
[legend]
Collaboration diagram for LAP::TabRow:
[legend]

List of all members.

## Public Member Functions
| TabRow ()
| TabRow (const CglLandPSimplex *si)
| TabRow (const TabRow &source)
TabRow & | operator= (const TabRow &r)
| Assignment operator.
bool | operator== (const TabRow &r) const
| Equal.
| ~TabRow ()
void | modularize (const bool *integerVar)
void | print (std::ostream &os, int width=9, const int *nonBasics=NULL, int m=0)
const double & | operator[] (const int &index) const
double & | operator[] (const int &index)
## Public Attributes
int | num
| Row number.
double | rhs
| Row right-hand-side.
const CglLandPSimplex * | si_
| Row of what?
bool | modularized_
| Flag to say if row is modularized.

## Detailed Description

Definition at line 21 of file CglLandPTabRow.hpp.

## Constructor & Destructor Documentation

LAP::TabRow::TabRow | ( |  | ) | `[inline]`

Definition at line 33 of file CglLandPTabRow.hpp.

LAP::TabRow::TabRow | ( | const CglLandPSimplex * | si | ) | `[inline]`

Definition at line 36 of file CglLandPTabRow.hpp.

LAP::TabRow::TabRow | ( | const TabRow & | source | ) | `[inline]`

Definition at line 39 of file CglLandPTabRow.hpp.

LAP::TabRow::~TabRow | ( |  | ) | `[inline]`

Definition at line 57 of file CglLandPTabRow.hpp.

## Member Function Documentation

TabRow& LAP::TabRow::operator= | ( | const TabRow & |  | ) | `[inline]`

Assignment operator.

Reimplemented from CoinIndexedVector.

Definition at line 44 of file CglLandPTabRow.hpp.

bool LAP::TabRow::operator== | ( | const TabRow & | rhs | ) | const

Equal.

Returns true if vectors have same length and corresponding element of each vector is equal.

Reimplemented from CoinIndexedVector.

void LAP::TabRow::modularize | ( | const bool * | integerVar | ) |

void LAP::TabRow::print | ( | std::ostream & | os,
|  | int | width = `9`,
|  | const int * | nonBasics = `NULL`,
|  | int | m = `0` |
| ) |  |  |

const double& LAP::TabRow::operator[] | ( | const int & | index | ) | const`[inline]`

Definition at line 66 of file CglLandPTabRow.hpp.

double& LAP::TabRow::operator[] | ( | const int & | index | ) | `[inline]`

Definition at line 72 of file CglLandPTabRow.hpp.

## Member Data Documentation

int LAP::TabRow::num

Row number.

Definition at line 24 of file CglLandPTabRow.hpp.

double LAP::TabRow::rhs

Row right-hand-side.

Definition at line 26 of file CglLandPTabRow.hpp.

const CglLandPSimplex* LAP::TabRow::si_

Row of what?

Definition at line 28 of file CglLandPTabRow.hpp.

bool LAP::TabRow::modularized_

Flag to say if row is modularized.

Definition at line 31 of file CglLandPTabRow.hpp.

The documentation for this struct was generated from the following file:

- /home/coin/svn-release/Blis-0.93.10/Cgl/src/CglLandP/CglLandPTabRow.hpp